img.lazy {
    opacity: 0;

    &:not([src]) {
        visibility: hidden;
    }

    &:not(.initial) {
        transition: opacity 600ms;
    }

    &.initial,
    &.loaded,
    &.error {
        opacity: 1;
    }
}
